Scala Reflection Library2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package reflect
  Definition Classes
    scala
-  package macros

  EXPERIMENTAL

  EXPERIMENTAL

  The base package for Scala macros.

  Macros are functions that are called by the compiler during compilation. Within these functions the programmer has access to compiler APIs. For example, it is possible to generate, analyze and typecheck code.

  See the Macros Guide on how to get started with Scala macros.

  Definition Classes
    reflect
-  package blackbox
  Definition Classes
    macros
-  package whitebox
  Definition Classes
    macros
- Aliases
- Attachments
- Enclosures
- Evals
- ExprUtils
- FrontEnds
- Infrastructure
- Internals
- Names
- ParseException
- Parsers
- ReificationException
- Reifiers
- TypecheckException
- Typers
- UnexpectedReificationException
- Universe

t

scala.reflect.macros

# FrontEnds 

###

#### trait FrontEnds extends AnyRef

EXPERIMENTAL

A slice of the Scala macros context that provides facilities to communicate with the compiler's front end (emit warnings, errors and other sorts of messages).

Self Type
  blackbox.Context
Source
  FrontEnds.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
Context, Context
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. FrontEnds
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Abstract Value Members

1.  abstract def abort(pos: blackbox.Context.Position, msg: String): Nothing

   Abruptly terminates current macro expansion leaving a note about what happened.

   Abruptly terminates current macro expansion leaving a note about what happened. Use `enclosingPosition` if you're in doubt what position to pass to `pos`.

2.  abstract def echo(pos: blackbox.Context.Position, msg: String): Unit

   For sending a message which should not be labelled as a warning/error, but also shouldn't require -verbose to be visible.

   For sending a message which should not be labelled as a warning/error, but also shouldn't require -verbose to be visible. Use `enclosingPosition` if you're in doubt what position to pass to `pos`.

3.  abstract def error(pos: blackbox.Context.Position, msg: String): Unit

   Emits a compilation error.

   Emits a compilation error. Use `enclosingPosition` if you're in doubt what position to pass to `pos`.

4.  abstract def hasErrors: Boolean

   Does the compilation session have any errors?

5.  abstract def hasWarnings: Boolean

   Does the compilation session have any warnings?

6.  abstract def info(pos: blackbox.Context.Position, msg: String, force: Boolean): Unit

   Emits an informational message, suppressed unless `-verbose` or `force=true`.

   Emits an informational message, suppressed unless `-verbose` or `force=true`. Use `enclosingPosition` if you're in doubt what position to pass to `pos`.

7.  abstract def warning(pos: blackbox.Context.Position, msg: String): Unit

   Emits a warning.

   Emits a warning. Use `enclosingPosition` if you're in doubt what position to pass to `pos`.

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from FrontEnds to any2stringadd[FrontEnds] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (FrontEnds, B)
   Implicit
     This member is added by an implicit conversion from FrontEnds to ArrowAssoc[FrontEnds] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
8.  def ensuring(cond: (FrontEnds) ⇒ Boolean, msg: ⇒ Any): FrontEnds
   Implicit
     This member is added by an implicit conversion from FrontEnds to Ensuring[FrontEnds] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
9.  def ensuring(cond: (FrontEnds) ⇒ Boolean): FrontEnds
   Implicit
     This member is added by an implicit conversion from FrontEnds to Ensuring[FrontEnds] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: Boolean, msg: ⇒ Any): FrontEnds
    Implicit
      This member is added by an implicit conversion from FrontEnds to Ensuring[FrontEnds] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean): FrontEnds
    Implicit
      This member is added by an implicit conversion from FrontEnds to Ensuring[FrontEnds] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
14.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
15.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from FrontEnds to StringFormat[FrontEnds] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
16.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
17.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
18.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
19.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
20.  final def notify(): Unit
    Definition Classes
      AnyRef
21.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
22.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
23.  def toString(): String
    Definition Classes
      AnyRef → Any
24.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
25.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
26.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
27.  def →[B](y: B): (FrontEnds, B)
    Implicit
      This member is added by an implicit conversion from FrontEnds to ArrowAssoc[FrontEnds] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from FrontEnds to any2stringadd[FrontEnds]

### Inherited by implicit conversion StringFormat from FrontEnds to StringFormat[FrontEnds]

### Inherited by implicit conversion Ensuring from FrontEnds to Ensuring[FrontEnds]

### Inherited by implicit conversion ArrowAssoc from FrontEnds to ArrowAssoc[FrontEnds]

### Ungrouped